0

I tried to install mysql server and mysql workbench with Ubuntu software center but It could not install them. Then I used command line to install mysql server and I run the following code repectivly:

sudo apt-get update && sudo apt-get upgrade
sudo apt-get install mysql server

But,I got the following error after the last command:

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
mysql-server : Depends: mysql-community-server (= 5.6.24-1ubuntu14.10)   but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

How can I solve this problem? IS there any simple way to install mysql server and mysql workbench?

These are all mysql version on my computer:

`apt-cache search mysql|egrep '^mysql'
 mysql-client-5.5 - MySQL database client binaries
 mysql-client-core-5.5 - MySQL database core client binaries
 mysql-server-5.5 - MySQL database server binaries and system database    setup
 mysql-server-core-5.5 - MySQL database server binaries
 mysql-client-5.6 - MySQL database client binaries
 mysql-client-core-5.6 - MySQL database core client binaries
 mysql-common-5.6 - MySQL 5.6 specific common files, e.g. /etc/mysql/conf.d/my-5.6.cnf
 mysql-mmm-agent - Multi-Master Replication Manager for MySQL - agent daemon
 mysql-mmm-common - Multi-Master Replication Manager for MySQL - common files
 mysql-mmm-monitor - Multi-Master Replication Manager for MySQL - monitoring daemon
 mysql-mmm-tools - Multi-Master Replication Manager for MySQL - tools
 mysql-proxy - high availability, load balancing and query modification for mysql
 mysql-server-5.6 - MySQL database server binaries and system database setup
 mysql-server-core-5.6 - MySQL database server binaries
 mysql-source-5.5 - MySQL source
 mysql-source-5.6 - MySQL source
 mysql-testsuite-5.5 - MySQL testsuite
 mysql-testsuite-5.6 - MySQL 5.6 testsuite
 mysql-utilities - collection of scripts for managing MySQL servers
 mysql-workbench - MySQL Workbench - a visual database modeling, administration and queuing tool
 mysql-workbench-data - MySQL Workbench -- architecture independent data
 mysqltcl - interface to the MySQL database for the Tcl language
 mysqltuner - high-performance MySQL tuning script
 mysql-apt-config - Auto configuration for MySQL APT Repo.
 mysql-client - MySQL Client meta package depending on latest version
 mysql-common - MySQL Common
 mysql-community-bench - MySQL Bench
 mysql-community-client - MySQL Client
 mysql-community-server - MySQL Server
 mysql-community-source - MySQL source
 mysql-community-test - MySQL Test Run MTR - The MySQL testsuite
 mysql-server - MySQL Server meta package depending on latest version
 mysql-testsuite - MySQL Testsuite meta package depending on latest version
 mysql-workbench-community - MySQL Workbench
1

Try following command in a terminal--

sudo apt-get purge mysql-client-core-5.6
sudo apt-get install mysql-client-core-5.6
sudo apt-get install mysql-server
  • doesn't work mysql-server : Depends: mysql-server-5.5 but it is not going to be installed E: Unable to correct problems, you have held broken packages. – Toolkit Feb 10 '18 at 13:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.